CREATE TABLE `SPORTS_MLB_TEAMS_SEASON_BATTING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `pa` SMALLINT(5) UNSIGNED DEFAULT 0,
  `ab` SMALLINT(5) UNSIGNED DEFAULT 0,
  `h` SMALLINT(5) UNSIGNED DEFAULT 0,
  `1b` SMALLINT(5) UNSIGNED DEFAULT 0,
  `2b` SMALLINT(5) UNSIGNED DEFAULT 0,
  `3b` TINYINT(3) UNSIGNED DEFAULT 0,
  `hr` TINYINT(3) UNSIGNED DEFAULT 0,
  `xbh` SMALLINT(5) UNSIGNED DEFAULT 0,
  `tb` SMALLINT(5) UNSIGNED DEFAULT 0,
  `bb` SMALLINT(5) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(3) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(3) UNSIGNED DEFAULT 0,
  `k` SMALLINT(5) UNSIGNED DEFAULT 0,
  `r` SMALLINT(5) UNSIGNED DEFAULT 0,
  `rbi` SMALLINT(5) UNSIGNED DEFAULT 0,
  `sb` TINYINT(3) UNSIGNED DEFAULT 0,
  `cs` TINYINT(3) UNSIGNED DEFAULT 0,
  `po` TINYINT(3) UNSIGNED DEFAULT 0,
  `sac_fly` TINYINT(3) UNSIGNED DEFAULT 0,
  `sac_hit` TINYINT(3) UNSIGNED DEFAULT 0,
  `go` SMALLINT(5) UNSIGNED DEFAULT 0,
  `fo` SMALLINT(5) UNSIGNED DEFAULT 0,
  `gidp` TINYINT(3) UNSIGNED DEFAULT 0,
  `lob` SMALLINT(5) UNSIGNED DEFAULT 0,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_SEASON_PITCHING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `ip` DECIMAL(5,1) UNSIGNED DEFAULT 0.0,
  `out` SMALLINT(5) UNSIGNED DEFAULT 0,
  `bf` SMALLINT(5) UNSIGNED DEFAULT 0,
  `pt` SMALLINT(5) UNSIGNED DEFAULT 0,
  `b` SMALLINT(5) UNSIGNED DEFAULT 0,
  `s` SMALLINT(5) UNSIGNED DEFAULT 0,
  `k` SMALLINT(5) UNSIGNED DEFAULT 0,
  `h` SMALLINT(5) UNSIGNED DEFAULT 0,
  `hr` SMALLINT(4) UNSIGNED DEFAULT 0,
  `bb` SMALLINT(4) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `whip` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `r` SMALLINT(4) UNSIGNED DEFAULT 0,
  `ra` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `er` SMALLINT(4) UNSIGNED DEFAULT 0,
  `era` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `ur` TINYINT(3) UNSIGNED DEFAULT 0,
  `ura` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `ir` TINYINT(3) UNSIGNED DEFAULT 0,
  `ira` TINYINT(3) UNSIGNED DEFAULT 0,
  `wp` TINYINT(2) UNSIGNED DEFAULT 0,
  `bk` TINYINT(2) UNSIGNED DEFAULT 0,
  `sb` TINYINT(3) UNSIGNED DEFAULT 0,
  `cs` TINYINT(2) UNSIGNED DEFAULT 0,
  `po` TINYINT(2) UNSIGNED DEFAULT 0,
  `go` SMALLINT(4) UNSIGNED DEFAULT 0,
  `fo` SMALLINT(4) UNSIGNED DEFAULT 0,
  `go_fo` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `cg` TINYINT(2) UNSIGNED DEFAULT 0,
  `sho` TINYINT(2) UNSIGNED DEFAULT 0,
  `qs` TINYINT(3) UNSIGNED DEFAULT 0,
  `w` TINYINT(3) UNSIGNED DEFAULT 0,
  `l` TINYINT(3) UNSIGNED DEFAULT 0,
  `sv` TINYINT(3) UNSIGNED DEFAULT 0,
  `hld` TINYINT(3) UNSIGNED DEFAULT 0,
  `bs` TINYINT(3) UNSIGNED DEFAULT 0,
  `svo` TINYINT(3) UNSIGNED DEFAULT 0,
  `game_score` DECIMAL(5,2) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_SEASON_FIELDING` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `tc` SMALLINT(4) UNSIGNED DEFAULT 0,
  `po` SMALLINT(5) UNSIGNED DEFAULT 0,
  `a` SMALLINT(5) UNSIGNED DEFAULT 0,
  `e` TINYINT(3) UNSIGNED DEFAULT 0,
  `pct` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `dp` TINYINT(3) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_SEASON_BATTING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `pa` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ab` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `h` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `1b` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `2b` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `3b` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `hr` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `xbh` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `tb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `bb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ibb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `hbp` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `k` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `r` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `rbi` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `sb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `cs` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `po` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `sac_fly` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `sac_hit` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `go` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `fo` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `gidp` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `lob` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `avg` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `obp` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `slg` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ops` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_SEASON_PITCHING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `ip` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `out` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `bf` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `pt` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `b` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `s` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `k` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `h` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `hr` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `bb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ibb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `whip` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `r` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ra` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `er` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `era` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ur` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ura` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ir` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `ira` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `wp` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `bk` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `sb` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `cs` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `po` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `go` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `fo` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `go_fo` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `cg` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `sho` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `qs` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `w` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `l` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `sv` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `hld` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `bs` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `svo` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `game_score` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_TEAMS_SEASON_FIELDING_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `tc` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `po` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `a` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `e` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `pct` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  `dp` TINYINT(2) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
